import Link from "next/link";
import { getPosts } from "@/lib/utils";

export default function Home() {
  const posts = getPosts();

  return (
    <main>
      <h1>Home Page</h1>
      <p>
        Click the link below to navigate to a page generated by{" "}
        <code>next-mdx-remote</code>.
      </p>
      <ul>
        {posts.map((post) => (
          <li key={post.slug}>
            <Link href={`/${post.slug}`}>{post.metadata.title}</Link>
          </li>
        ))}
      </ul>
    </main>
  );
}
